org.apache.fontbox.afm

## Class KernPair

- java.lang.Object
- - org.apache.fontbox.afm.KernPair

    public class KernPair
    extends Object

This represents some kern pair data.

Author:
  Ben Litchfield

### Constructor Summary

Constructors
Constructor and Description
`KernPair(String firstKernCharacter, String secondKernCharacter, float x, float y)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getFirstKernCharacter()` Getter for property firstKernCharacter.
`String` `getSecondKernCharacter()` Getter for property secondKernCharacter.
`float` `getX()` Getter for property x.
`float` `getY()` Getter for property y.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### KernPair

    public KernPair(String firstKernCharacter,
                    String secondKernCharacter,
                    float x,
                    float y)

### Method Detail

#### getFirstKernCharacter

    public String getFirstKernCharacter()

Getter for property firstKernCharacter.

Returns:
  Value of property firstKernCharacter.

#### getSecondKernCharacter

    public String getSecondKernCharacter()

Getter for property secondKernCharacter.

Returns:
  Value of property secondKernCharacter.

#### getX

    public float getX()

Getter for property x.

Returns:
  Value of property x.

#### getY

    public float getY()

Getter for property y.

Returns:
  Value of property y.